
Sub edit1OnKeyDown(Sender,Key,KeyChar,Shift)
  if key=13 then button1OnClick Sender
  
End Sub

Sub button1OnClick(Sender)
  
  if edit1.text><"" then widget.open("http://www.google.com/search?q="&edit1.text)

End Sub


Sub bgOnMouseUp(Sender,Button,Shift,X,Y)
  edit1.SetFocus
End Sub
